Groovy Documentation

## org.codehaus.groovy.grails.web.util
[Java] Class IncludeResponseWrapper

    java.lang.Object
      javax.servlet.http.HttpServletResponseWrapper
          org.codehaus.groovy.grails.web.util.IncludeResponseWrapper

    public class IncludeResponseWrapper
    extends HttpServletResponseWrapper

Response wrapper used to capture the content of a response (such as within in an include).

Authors:
  Graeme Rocher

Since:
  1.2.1

Constructor Summary
`IncludeResponseWrapper(HttpServletResponse httpServletResponse)`

Method Summary
`java.lang.Object` | `getContent()`
`java.lang.Object` | `getContent(java.lang.String encoding)`
`java.lang.String` | `getContentType()`
`ServletOutputStream` | `getOutputStream()`
`java.lang.String` | `getRedirectURL()`
`int` | `getStatus()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `sendError(int i, java.lang.String s)`
`void` | `sendError(int i)`
`void` | `sendRedirect(java.lang.String s)`
`void` | `setContentType(java.lang.String s)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setStatus(int i)`

Constructor Detail

### IncludeResponseWrapper

    public IncludeResponseWrapper(HttpServletResponse httpServletResponse)

Method Detail

### getContent

    public java.lang.Object getContent()

### getContent

    public java.lang.Object getContent(java.lang.String encoding)

### getContentType

    @Override
    public java.lang.String getContentType()

### getOutputStream

    @Override
    public ServletOutputStream getOutputStream()

### getRedirectURL

    public java.lang.String getRedirectURL()

### getStatus

    public int getStatus()

### getWriter

    @Override
    public java.io.PrintWriter getWriter()

### isCommitted

    @Override
    public boolean isCommitted()

### sendError

    @Override
    public void sendError(int i, java.lang.String s)

### sendError

    @Override
    public void sendError(int i)

### sendRedirect

    @Override
    public void sendRedirect(java.lang.String s)

### setContentType

    @Override
    public void setContentType(java.lang.String s)

### setLocale

    @Override
    public void setLocale(java.util.Locale locale)

### setStatus

    @Override
    public void setStatus(int i)

Groovy Documentation